package shop.alien.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.LifeBlacklist;
import shop.alien.entity.store.vo.LifeBlacklistVo;

import java.util.List;

/**
 * <p>
 * 黑名单
 * 服务类
 * </p>
 *
 * @author ssk
 * @since 2025-04-30
 */
public interface LifeBlacklistService extends IService<LifeBlacklist> {

    int blackList(LifeBlacklist lifeBlacklist);

    /**
     * 根据用户ID查询拉黑列表
     *
     * @param userType 用户类型
     * @param userId   用户ID
     * @param type     查找类型
     * @return 拉黑列表
     */
    List<LifeBlacklistVo> blackListByUserId(String userType, String userId, Integer type);

    Boolean isBlackListUser(LifeBlacklist lifeBlacklist);

    int cancelBlacklist(LifeBlacklist lifeBlacklist);

    boolean hasBlackList(String otherSidePhoneId) throws Exception;
}
